const api = new API(API_URL);

const root = document.getElementById("root");

async function init() {
	let query = new URLSearchParams(document.location.search);

	let video;
	try {
		video = await api.getVideo(query.get("id"));
	} catch (e) {
		showError(e);
		return;
	}

	root.appendChild(components.backToLibrary());
	root.appendChild(await components.player(video));

	finishedLoading();
}

init();
