const api = new API(API_URL);

const root = document.getElementById("root");

async function init() {
	let query = new URLSearchParams(document.location.search);

	let library;
	try {
		library = await api.getLibrary("series");
	} catch (e) {
		showError(e);
		return;
	}

	let series = query.get("name");
	if (library.videos[series] == null) {
		showError("Series not found");
		return;
	}

	root.appendChild(components.backToLibrary());
	root.appendChild(components.fullSeries(series, library.videos[series]));

	finishedLoading();
}

init();
